import { type Base, genBase } from "./_base"
import { type Doctor, genDoctor } from "./doctor"

export interface PracticeSchedule extends Base {
  doctor_id: number
  doctor: Doctor
  unit_code: number
  day_code: number
  starttime: string
  endtime: string
}

export function genPracticeSchedule(): PracticeSchedule {
  return {
    ...genBase(),
    doctor_id: 0,
    doctor: genDoctor(),
    unit_code: 0,
    day_code: 0,
    starttime: '',
    endtime: '',
  }
}
